> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bastion.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Balances

> Get base and token asset balances for a given account



## OpenAPI

````yaml /v2/openapi.yaml get /v2/accounts/{account_id}/balances
openapi: 3.1.0
info:
  title: Bastion APIs
  version: '2.0'
servers:
  - url: https://api.prod.bastion.com
    description: Production environment
  - url: https://api.sandbox.bastion.io
    description: Sandbox environment
security:
  - auth: []
tags:
  - name: Bastion APIs
paths:
  /v2/accounts/{account_id}/balances:
    get:
      tags:
        - Accounts
      summary: Get Account Balances
      description: Get base and token asset balances for a given account
      operationId: bastion.api.v2.API.GetAccountAssetBalances
      parameters:
        - name: account_id
          in: path
          description: Unique identifier of an account.
          required: true
          schema:
            type: string
            title: account_id
        - name: chain
          in: query
          description: |-
            (OPTIONAL) Optional chain to query balances for.
             If not provided, balances for all supported chains will be returned.
          required: false
          schema:
            $ref: '#/components/schemas/bastion.common.Chain'
            title: chain
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/bastion.api.v2.GetAccountAssetBalancesResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized Request
        '403':
          description: Request Forbidden
        '404':
          description: Resource not found
        '500':
          description: Internal Server Error
components:
  schemas:
    bastion.common.Chain:
      type: string
      title: Chain
      enum:
        - CHAIN_UNSPECIFIED
        - ETHEREUM_MAINNET
        - POLYGON_MAINNET
        - ETHEREUM_TESTNET
        - OPTIMISM_SEPOLIA
        - BASE_MAINNET
        - BASE_SEPOLIA
        - OPTIMISM_MAINNET
        - POLYGON_AMOY
        - SOLANA_MAINNET
        - SOLANA_DEVNET
      description: Chain identifier
      example: ETHEREUM_MAINNET
    bastion.api.v2.GetAccountAssetBalancesResponse:
      type: object
      properties:
        balances:
          type: array
          items:
            $ref: '#/components/schemas/bastion.common.Balance'
          title: balances
          description: List of balances for the account
      title: GetAccountAssetBalancesResponse
      additionalProperties: false
    bastion.common.Balance:
      type: object
      properties:
        symbol:
          type: string
          title: symbol
          description: Asset symbol (e.g., USDC, ETH, USD)
        total:
          type: string
          title: total
          description: Total amount in atomic units (e.g., 100000000 for 100 USDC)
        available:
          type: string
          title: available
          description: Available amount in atomic units (e.g., 100000000 for 100 USDC)
        decimals:
          type: integer
          title: decimals
          format: int32
          description: Number of decimal places for the quantity
        type:
          $ref: '#/components/schemas/bastion.common.Balance.BalanceType'
          title: type
          description: Type of the balance
        chain:
          oneOf:
            - $ref: '#/components/schemas/bastion.common.Chain'
            - type: 'null'
          title: chain
          description: Chain the asset belongs to
        contract_address:
          type:
            - string
            - 'null'
          title: contract_address
          description: Contract address of the asset
      title: Balance
      additionalProperties: false
    bastion.common.Balance.BalanceType:
      type: string
      title: BalanceType
      enum:
        - BALANCE_TYPE_UNSPECIFIED
        - SPL_TOKEN
        - ERC20_TOKEN
        - FIAT
        - NATIVE
      description: Type of the balance
      example: SPL_TOKEN
  securitySchemes:
    auth:
      type: http
      description: Bearer authentication with an API token
      scheme: bearer

````

## Related topics

- [Send crypto off-chain between omnibus accounts](/guides/quickstarts/send-crypto/off-chain.md)
- [Off-ramp: Withdraw stablecoin to a US bank account](/guides/quickstarts/off-ramp/withdraw-to-a-bank-account.md)
- [Off-ramp: Withdraw stablecoin internationally](/guides/quickstarts/off-ramp/international-bank-account.md)
- [Send crypto on-chain to any wallet address](/guides/quickstarts/send-crypto/on-chain.md)
- [Get Account](/v2/api-reference/accounts/get-account.md)
